cvp.vo

## Class Assistito

- java.lang.Object
- - cvp.vo.Assistito

-     public class Assistito
      extends java.lang.Object

  Contiene i dati anagrafici del'assistito

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codFiscale` Codice fiscale dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codiceAss della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `codIdCittadino` Codice identificativo dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `codSanitario` Codice sanitario regionale dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `codUslResid` Codice dell'ASL di residenza dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $aslAssistito della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `cognome` Cognome dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $cognNome della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dataNascita` Data di nascita dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `dataNascitaEstero` Data di nascita del soggetto assicurato da istituzioni estere nel formato aaaa-mm-gg, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataNascitaEstero della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `dataScadTessera` Data scadenza della tessera del soggetto assicurato da istituzioni estere nel formato aaaa-mm-gg, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataScadTessera della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `descComuneResid` Nome del comune di residenza dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `flagInAnagrafe` Indica se l'assistito è registrato o meno nell'anagrafe sanitaria, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `indirizzo` Indirizzo di residenza dell'assistito, elemento facoltativo,In caso di ricetta dematerializzata fuori regione il campo veicola il tag $indirizzo della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `istituzCompetente` Istituzione competente del soggetto assicurato da istituzioni estere, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $istituzCompetente della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `nome` Nome dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `numIdentPers` Numero di identificazione personale del soggetto assicurato da istituzioni estere, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $numIdentPers della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `numIdentTess` Numero di identificazione della tessera del soggetto assicurato da istituzioni estere, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $numIdentTess della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `numTessSasn` Numero tessera assistenza SASN, da compilarsi in maniera obbligatoria solo per assistiti SASN come nella matrice dei ricettari cartacei, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $numTessSasn della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `sesso` Sesso dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.
    `private java.lang.String` | `siglaUslResid` Sigla dell'ASL di residenza dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $provAssistito della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `socNavigaz` Società di navigazione, da compilarsi in maniera obbligatoria solo per assistiti SASN, come nella matrice dei ricettari cartacei, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $socNavigaz della risposta del servizio SAC visualizzaErogato
    `private java.lang.String` | `statoEstero` Stato del soggetto assicurato da istituzioni estere, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $statoEstero della risposta del servizio SAC visualizzaErogato

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Assistito()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodFiscale()`
    `java.lang.String` | `getCodIdCittadino()`
    `java.lang.String` | `getCodSanitario()`
    `java.lang.String` | `getCodUslResid()`
    `java.lang.String` | `getCognome()`
    `java.lang.String` | `getDataNascita()`
    `java.lang.String` | `getDataNascitaEstero()`
    `java.lang.String` | `getDataScadTessera()`
    `java.lang.String` | `getDescComuneResid()`
    `java.lang.String` | `getFlagInAnagrafe()`
    `java.lang.String` | `getIndirizzo()`
    `java.lang.String` | `getIstituzCompetente()`
    `java.lang.String` | `getNome()`
    `java.lang.String` | `getNumIdentPers()`
    `java.lang.String` | `getNumIdentTess()`
    `java.lang.String` | `getNumTessSasn()`
    `java.lang.String` | `getSesso()`
    `java.lang.String` | `getSiglaUslResid()`
    `java.lang.String` | `getSocNavigaz()`
    `java.lang.String` | `getStatoEstero()`
    `void` | `setCodFiscale(java.lang.String codFiscale)`
    `void` | `setCodIdCittadino(java.lang.String codIdCittadino)`
    `void` | `setCodSanitario(java.lang.String codSanitario)`
    `void` | `setCodUslResid(java.lang.String codUslResid)`
    `void` | `setCognome(java.lang.String cognome)`
    `void` | `setDataNascita(java.lang.String dataNascita)`
    `void` | `setDataNascitaEstero(java.lang.String dataNascitaEstero)`
    `void` | `setDataScadTessera(java.lang.String dataScadTessera)`
    `void` | `setDescComuneResid(java.lang.String descComuneResid)`
    `void` | `setFlagInAnagrafe(java.lang.String flagInAnagrafe)`
    `void` | `setIndirizzo(java.lang.String indirizzo)`
    `void` | `setIstituzCompetente(java.lang.String istituzCompetente)`
    `void` | `setNome(java.lang.String nome)`
    `void` | `setNumIdentPers(java.lang.String numIdentPers)`
    `void` | `setNumIdentTess(java.lang.String numIdentTess)`
    `void` | `setNumTessSasn(java.lang.String numTessSasn)`
    `void` | `setSesso(java.lang.String sesso)`
    `void` | `setSiglaUslResid(java.lang.String siglaUslResid)`
    `void` | `setSocNavigaz(java.lang.String socNavigaz)`
    `void` | `setStatoEstero(java.lang.String statoEstero)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codFiscale

          private java.lang.String codFiscale

      Codice fiscale dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $codiceAss della risposta del servizio SAC visualizzaErogato

    - #### codSanitario

          private java.lang.String codSanitario

      Codice sanitario regionale dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### codIdCittadino

          private java.lang.String codIdCittadino

      Codice identificativo dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### cognome

          private java.lang.String cognome

      Cognome dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $cognNome della risposta del servizio SAC visualizzaErogato

    - #### nome

          private java.lang.String nome

      Nome dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### sesso

          private java.lang.String sesso

      Sesso dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### dataNascita

          private java.lang.String dataNascita

      Data di nascita dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### indirizzo

          private java.lang.String indirizzo

      Indirizzo di residenza dell'assistito, elemento facoltativo,In caso di ricetta dematerializzata fuori regione il campo veicola il tag $indirizzo della risposta del servizio SAC visualizzaErogato

    - #### descComuneResid

          private java.lang.String descComuneResid

      Nome del comune di residenza dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato.

    - #### flagInAnagrafe

          private java.lang.String flagInAnagrafe

      Indica se l'assistito è registrato o meno nell'anagrafe sanitaria, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo non è avvalorato. Può assumere i seguenti valori: 1=si tratta di un assistito registrato nell'anagrafe sanitaria regionale; 0=si tratta di un assistito non registrato nell'anagrafe sanitaria regionale

    - #### codUslResid

          private java.lang.String codUslResid

      Codice dell'ASL di residenza dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $aslAssistito della risposta del servizio SAC visualizzaErogato

    - #### siglaUslResid

          private java.lang.String siglaUslResid

      Sigla dell'ASL di residenza dell'assistito, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $provAssistito della risposta del servizio SAC visualizzaErogato

    - #### numTessSasn

          private java.lang.String numTessSasn

      Numero tessera assistenza SASN, da compilarsi in maniera obbligatoria solo per assistiti SASN come nella matrice dei ricettari cartacei, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $numTessSasn della risposta del servizio SAC visualizzaErogato

    - #### socNavigaz

          private java.lang.String socNavigaz

      Società di navigazione, da compilarsi in maniera obbligatoria solo per assistiti SASN, come nella matrice dei ricettari cartacei, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $socNavigaz della risposta del servizio SAC visualizzaErogato

    - #### statoEstero

          private java.lang.String statoEstero

      Stato del soggetto assicurato da istituzioni estere, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $statoEstero della risposta del servizio SAC visualizzaErogato

    - #### istituzCompetente

          private java.lang.String istituzCompetente

      Istituzione competente del soggetto assicurato da istituzioni estere, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $istituzCompetente della risposta del servizio SAC visualizzaErogato

    - #### numIdentPers

          private java.lang.String numIdentPers

      Numero di identificazione personale del soggetto assicurato da istituzioni estere, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $numIdentPers della risposta del servizio SAC visualizzaErogato

    - #### numIdentTess

          private java.lang.String numIdentTess

      Numero di identificazione della tessera del soggetto assicurato da istituzioni estere, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $numIdentTess della risposta del servizio SAC visualizzaErogato

    - #### dataNascitaEstero

          private java.lang.String dataNascitaEstero

      Data di nascita del soggetto assicurato da istituzioni estere nel formato aaaa-mm-gg, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataNascitaEstero della risposta del servizio SAC visualizzaErogato

    - #### dataScadTessera

          private java.lang.String dataScadTessera

      Data scadenza della tessera del soggetto assicurato da istituzioni estere nel formato aaaa-mm-gg, elemento facoltativo, In caso di ricetta dematerializzata fuori regione il campo veicola il tag $dataScadTessera della risposta del servizio SAC visualizzaErogato

  - ### Constructor Detail

    - #### Assistito

          public Assistito()

  - ### Method Detail

    - #### getCodFiscale

          public java.lang.String getCodFiscale()

    - #### setCodFiscale

          public void setCodFiscale(java.lang.String codFiscale)

    - #### getCodSanitario

          public java.lang.String getCodSanitario()

    - #### setCodSanitario

          public void setCodSanitario(java.lang.String codSanitario)

    - #### getCodIdCittadino

          public java.lang.String getCodIdCittadino()

    - #### setCodIdCittadino

          public void setCodIdCittadino(java.lang.String codIdCittadino)

    - #### getCognome

          public java.lang.String getCognome()

    - #### setCognome

          public void setCognome(java.lang.String cognome)

    - #### getNome

          public java.lang.String getNome()

    - #### setNome

          public void setNome(java.lang.String nome)

    - #### getSesso

          public java.lang.String getSesso()

    - #### setSesso

          public void setSesso(java.lang.String sesso)

    - #### getDataNascita

          public java.lang.String getDataNascita()

    - #### setDataNascita

          public void setDataNascita(java.lang.String dataNascita)

    - #### getIndirizzo

          public java.lang.String getIndirizzo()

    - #### setIndirizzo

          public void setIndirizzo(java.lang.String indirizzo)

    - #### getDescComuneResid

          public java.lang.String getDescComuneResid()

    - #### setDescComuneResid

          public void setDescComuneResid(java.lang.String descComuneResid)

    - #### getFlagInAnagrafe

          public java.lang.String getFlagInAnagrafe()

    - #### setFlagInAnagrafe

          public void setFlagInAnagrafe(java.lang.String flagInAnagrafe)

    - #### getCodUslResid

          public java.lang.String getCodUslResid()

    - #### setCodUslResid

          public void setCodUslResid(java.lang.String codUslResid)

    - #### getSiglaUslResid

          public java.lang.String getSiglaUslResid()

    - #### setSiglaUslResid

          public void setSiglaUslResid(java.lang.String siglaUslResid)

    - #### getNumTessSasn

          public java.lang.String getNumTessSasn()

    - #### setNumTessSasn

          public void setNumTessSasn(java.lang.String numTessSasn)

    - #### getSocNavigaz

          public java.lang.String getSocNavigaz()

    - #### setSocNavigaz

          public void setSocNavigaz(java.lang.String socNavigaz)

    - #### getStatoEstero

          public java.lang.String getStatoEstero()

    - #### setStatoEstero

          public void setStatoEstero(java.lang.String statoEstero)

    - #### getIstituzCompetente

          public java.lang.String getIstituzCompetente()

    - #### setIstituzCompetente

          public void setIstituzCompetente(java.lang.String istituzCompetente)

    - #### getNumIdentPers

          public java.lang.String getNumIdentPers()

    - #### setNumIdentPers

          public void setNumIdentPers(java.lang.String numIdentPers)

    - #### getNumIdentTess

          public java.lang.String getNumIdentTess()

    - #### setNumIdentTess

          public void setNumIdentTess(java.lang.String numIdentTess)

    - #### getDataNascitaEstero

          public java.lang.String getDataNascitaEstero()

    - #### setDataNascitaEstero

          public void setDataNascitaEstero(java.lang.String dataNascitaEstero)

    - #### getDataScadTessera

          public java.lang.String getDataScadTessera()

    - #### setDataScadTessera

          public void setDataScadTessera(java.lang.String dataScadTessera)